# generated by cabal-rpm-0.13
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name cab
%global pkgver %{pkg_name}-%{version}

Name:           %{pkg_name}
Version:        0.2.18
Release:        5%{?dist}
Summary:        Maintenance command for Haskell cabal packages

License:        BSD
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-resourcet-devel
# End cabal-rpm deps
Requires:       cabal-install

%description
Cab provides a maintenance command for Haskell cabal packages.
It is partly a wrapper of ghc-pkg and cabal.
If you get confused by the differences between the two commands,
need a way to check all outdated packages, or
to remove outdated packages recursively, this command will help.


%package -n ghc-%{name}
Summary:        Haskell %{name} library

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Provides:       ghc-%{name}-static = %{version}-%{release}
Provides:       ghc-%{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       ghc-%{name}%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%post -n ghc-%{name}-devel
%ghc_pkg_recache


%postun -n ghc-%{name}-devel
%ghc_pkg_recache


%files
# Begin cabal-rpm files:
%license LICENSE
%{_bindir}/%{name}
# End cabal-rpm files


%files -n ghc-%{name} -f ghc-%{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files


%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Feb 27 2019 Jens Petersen <petersen@redhat.com> - 0.2.18-4
- refresh to cabal-rpm-0.13

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Oct 22 2018 Jens Petersen <petersen@redhat.com> - 0.2.18-2
- rebuild for static executable

* Sun Jul 22 2018 Jens Petersen <petersen@redhat.com> - 0.2.18-1
- update to 0.2.18

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 0.2.17-1
- update to 0.2.17

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 24 2017 Jens Petersen <petersen@redhat.com> - 0.2.16-3
- refresh to cabal-rpm-0.11.1

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jun 23 2016 Jens Petersen <petersen@redhat.com> - 0.2.16-1
- update to 0.2.16

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar  4 2015 Jens Petersen <petersen@redhat.com> - 0.2.15-2
- no longer requires cabal-dev

* Tue Mar 03 2015 Jens Petersen <petersen@redhat.com> - 0.2.15-1
- update to 0.2.15
- now BinLib package

* Wed Jan 28 2015 Jens Petersen <petersen@redhat.com> - 0.1.9-13
- update urls

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 19 2013 Jens Petersen <petersen@redhat.com> - 0.1.9-9
- rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.1.9-7
- require cabal-dev
- update with cabal-rpm

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Jens Petersen <petersen@redhat.com> - 0.1.9-5
- rebuild

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.1.9-4
- rebuild

* Sat Mar 24 2012 Jens Petersen <petersen@redhat.com> - 0.1.9-3
- rebuild

* Sat Mar  3 2012 Jens Petersen <petersen@redhat.com> - 0.1.9-2
- rebuild

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.1.9-1
- update to 0.1.9 and cabal2spec-0.25.2

* Sat Oct 29 2011 Jens Petersen <petersen@redhat.com> - 0.1.6-3
- rebuild against newer attoparsec and enumerator

* Wed Oct 26 2011 Jens Petersen <petersen@redhat.com> - 0.1.6-2
- rebuild against new gmp

* Wed Sep 21 2011 Jens Petersen <petersen@redhat.com> - 0.1.6-1
- update to 0.1.6

* Fri Aug 19 2011 Jens Petersen <petersen@redhat.com> - 0.1.5-1
- BSD license and add deps
- requires cabal-install

* Fri Aug 19 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.1.5-0
- initial packaging for Fedora automatically generated by cabal2spec-0.23.2
